import { FC } from 'react';
import { FileWithPath } from 'react-dropzone';
interface FileProgressBaseProps {
    onDelete: () => void;
    file: FileWithPath | File;
    isDone?: boolean;
    progressPercent?: number;
    indeterminate?: boolean;
    onCancel?: () => void;
    isError?: boolean;
}
export interface RegularFileProgressBaseProps extends FileProgressBaseProps {
    compact?: false;
    fullErrorText?: string;
    customLoadingText?: string;
    customCompleteText?: string;
    onRetry?: () => void;
}
export interface CompactFileProgressBaseProps extends FileProgressBaseProps {
    compact: true;
    shortErrorText?: string;
    fullErrorText?: string;
}
export interface FileProgressPropsExtension {
    showCompleteState: boolean;
    handleOnClick: () => void;
}
/**
 * @progressPercent - The percentage of the file that has been uploaded, if undefined its considered indeterminate
 */
export declare const FileProgress: FC<RegularFileProgressBaseProps | CompactFileProgressBaseProps>;
export {};
