import React, { ReactElement } from 'react';
export interface InfoElementProps {
    title: string;
}
/**
 * @param content - Text
 * @param copyableContent - Should the content be copyable via hover - Defaults to false
 * @param capitalizeContent - Should the content be capitalized - Defaults to false
 */
interface TextInfoElementProps extends InfoElementProps {
    content: string;
    copyableContent?: boolean;
    capitalizeContent?: boolean;
}
interface CustomInfoElementProps extends InfoElementProps {
    content: ReactElement;
    copyableContent?: false;
    capitalizeContent?: false;
}
export declare const InfoElement: React.ForwardRefExoticComponent<(TextInfoElementProps | CustomInfoElementProps) & React.RefAttributes<HTMLDivElement>>;
export {};
